Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class InterMediaAnnotator

    java.lang.Object
      oracle.ifs.beans.InterMediaAnnotator

All Implemented Interfaces:
  java.util.EventListener, oracle.ord.media.annotator.listeners.AnnListener, oracle.ord.media.annotator.listeners.OutputListener

    public class InterMediaAnnotator

extends java.lang.Object
implements oracle.ord.media.annotator.listeners.AnnListener, oracle.ord.media.annotator.listeners.OutputListener

A InterMediaAnnotator extracts Metadata from Multi Media content and creates categories to store that metadata.

(Unpublished)

Field Summary
`static java.lang.String` | `ANNOTATOR_TRACELEVEL` Property Name for the Annotator TraceLevel.
`static java.lang.String` | `CLASSMAP_VALUES` Property Name for the Class mappings.
`static java.lang.String` | `INDEXABLE_ATTRIBUTES` Property Name for the Indexable attributes.
`static java.lang.String` | `ORACLE_HOME` Property Name for the Oracle Home setting.

Constructor Summary
`InterMediaAnnotator()` Constructs an InterMediaAnnotator.

Method Summary
`void` | `annotate(Document doc, boolean trimMetadata)` Performs annotation processing for the specified Document.
`protected void` | `appendIndexableAttributes(java.io.PrintWriter pwriter, oracle.ord.media.annotator.annotations.Annotation ann)` Checks for attributes in the annotation that we would want to include in the stream that is indexed by Context.
`protected java.lang.String` | `appendTextTrack(java.io.PrintWriter pwriter, oracle.ord.media.annotator.annotations.Annotation ann)` Converts the Text annotations into a serialized Reader.
`void` | `ConsoleOutput(java.lang.String p0)`
`protected InterMediaSourceDefinition` | `constructMediaSourceDefinition(LibrarySession session, ClassObject classobj)` Constructs an InterMediaSourceDefinition of the desired type.
`void` | `dispose()` Disposes this instance.
`void` | `errorOccured(oracle.ord.media.annotator.annotations.Annotation ann, java.lang.Exception e)`
`protected void` | `extractAnnotationAttributes(oracle.ord.media.annotator.annotations.Annotation ann, InterMediaSourceDefinition def)` Extract Annotation attributes from the specified Annotation.
`void` | `extractionPerformed(oracle.ord.media.annotator.annotations.Annotation p0)`
`protected void` | `freeInterMediaCategories(Document doc)` Frees any InterMedia categories that exist onthe specified document.
`protected java.lang.String` | `getAnnotationClassName(oracle.ord.media.annotator.annotations.Annotation ann)` Gets Annotation class name.
`protected java.lang.String` | `getContentMimeType(Document doc)` Returns the mime type from the specified Document, if it has content.
`protected InterMediaSourceDefinition` | `getDefFromAnnotation(LibrarySession session, oracle.ord.media.annotator.annotations.Annotation ann)` Gets an InterMediaSourceDefinition from the specified Annotation.
`protected InterMediaSourceDefinition` | `getProperCategoryDef(LibrarySession session, java.lang.String descKey)` Gets the proper type of InterMediaSourceDefinition from the specified Annotation key.
`protected java.lang.String` | `getTextFromAnnotation(java.io.PrintWriter pwriter, oracle.ord.media.annotator.annotations.Annotation ann)` Gets the language from the Annotation.
`protected void` | `implementAnnotate(Document doc, boolean trimMetadata)` Internal annotation processing for the specified Document.
`void` | `initialize(LibrarySession session, AttributeValueTable avt)` Initializes an InterMediaAnnotator.
`void` | `insertionPerformed(oracle.ord.media.annotator.annotations.Annotation p0, java.sql.Connection p1)`
`void` | `parsePerformed(oracle.ord.media.annotator.annotations.Annotation ann)`
`void` | `processDocument(Document doc)` Performs annotation processing for the specified Document.
`protected void` | `setAnnotatorTraceLevel(AttributeValueTable avt)` Sets the Annotator TraceLevel based on the specified Annotator properties.
`protected void` | `setClassMap(AttributeValueTable avt)` Sets the ClassMap based on the specified Annotator properties.
`void` | `warningOccured(oracle.ord.media.annotator.annotations.Annotation p0, java.lang.Exception e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANNOTATOR_TRACELEVEL

    public static final java.lang.String ANNOTATOR_TRACELEVEL

  Description copied from class: `InterMediaAnnotator`
  Property Name for the Annotator TraceLevel.

  See Also:
    Constant Field Values

### INDEXABLE_ATTRIBUTES

    public static final java.lang.String INDEXABLE_ATTRIBUTES

  Description copied from class: `InterMediaAnnotator`
  Property Name for the Indexable attributes.

  See Also:
    Constant Field Values

### CLASSMAP_VALUES

    public static final java.lang.String CLASSMAP_VALUES

  Description copied from class: `InterMediaAnnotator`
  Property Name for the Class mappings.

  See Also:
    Constant Field Values

### ORACLE_HOME

    public static final java.lang.String ORACLE_HOME

  Description copied from class: `InterMediaAnnotator`
  Property Name for the Oracle Home setting.

  See Also:
    Constant Field Values

Constructor Detail

### InterMediaAnnotator

    public InterMediaAnnotator()
                        throws java.lang.Exception

  Constructs an InterMediaAnnotator.

  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

Method Detail

### initialize

    public void initialize(LibrarySession session,
                           AttributeValueTable avt)
                    throws java.lang.Exception

  Description copied from class: `InterMediaAnnotator`
  Initializes an InterMediaAnnotator.

  Parameters:
    `session` - the session context
    `avt` - the Annotator properties
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### setClassMap

    protected void setClassMap(AttributeValueTable avt)
                        throws IfsException

  Description copied from class: `InterMediaAnnotator`
  Sets the ClassMap based on the specified Annotator properties.

  Converts an array of strings into hashtable entries. The Strings must be of the form "name=value".

  Parameters:
    `avt` - the Annotator properties
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setAnnotatorTraceLevel

    protected void setAnnotatorTraceLevel(AttributeValueTable avt)
                                   throws java.lang.Exception

  Description copied from class: `InterMediaAnnotator`
  Sets the Annotator TraceLevel based on the specified Annotator properties.

  Parameters:
    `avt` - the Annotator properties
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### dispose

    public void dispose()

  Description copied from class: `InterMediaAnnotator`
  Disposes this instance.

  (Published)

### processDocument

    public void processDocument(Document doc)
                         throws java.lang.Exception

  Description copied from class: `InterMediaAnnotator`
  Performs annotation processing for the specified Document.

  First attempts to process the document without trimming the metadata. If that fails, a followup attempt is made with trimmed metadata.

  Parameters:
    `doc` - the Document to process
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### annotate

    public void annotate(Document doc,
                         boolean trimMetadata)
                  throws IfsException

  Description copied from class: `InterMediaAnnotator`
  Performs annotation processing for the specified Document.

  Parameters:
    `doc` - the Document to process
    `trimMetadata` - whether to trim metadata
  Throws:
    `java.lang.Exception` - if the operation fails
    `IfsException`
  (Published)

### implementAnnotate

    protected void implementAnnotate(Document doc,
                                     boolean trimMetadata)
                              throws IfsException

  Description copied from class: `InterMediaAnnotator`
  Internal annotation processing for the specified Document.

  This extracts metadata from the multimedia file and creates InterMediaSourceDefinitions for them.

  Parameters:
    `doc` - the Document to process
    `trimMetadata` - whether to trim metadata
  Throws:
    `java.lang.Exception` - if the operation fails
    `IfsException`
  (Published)

### freeInterMediaCategories

    protected void freeInterMediaCategories(Document doc)
                                     throws IfsException

  Description copied from class: `InterMediaAnnotator`
  Frees any InterMedia categories that exist onthe specified document.

  Parameters:
    `doc` - the document with the InterMedia categories
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDefFromAnnotation

    protected InterMediaSourceDefinition getDefFromAnnotation(LibrarySession session,
                                                              oracle.ord.media.annotator.annotations.Annotation ann)
                                                       throws IfsException

  Description copied from class: `InterMediaAnnotator`
  Gets an InterMediaSourceDefinition from the specified Annotation.

  Parameters:
    `session` - the session context
    `ann` - the Annotation
  Returns:
    the derived InterMediaSourceDefinition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getProperCategoryDef

    protected InterMediaSourceDefinition getProperCategoryDef(LibrarySession session,
                                                              java.lang.String descKey)
                                                       throws IfsException

  Description copied from class: `InterMediaAnnotator`
  Gets the proper type of InterMediaSourceDefinition from the specified Annotation key.

  Parameters:
    `session` - the session context
    `descKey` - the Annotation key
  Returns:
    the derived InterMediaSourceDefinition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructMediaSourceDefinition

    protected InterMediaSourceDefinition constructMediaSourceDefinition(LibrarySession session,
                                                                        ClassObject classobj)
                                                                 throws IfsException

  Description copied from class: `InterMediaAnnotator`
  Constructs an InterMediaSourceDefinition of the desired type.

  Parameters:
    `session` - the session context
    `classobj` - the ClassObject to reference in the definition
  Returns:
    the constructed InterMediaSourceDefinition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getTextFromAnnotation

    protected java.lang.String getTextFromAnnotation(java.io.PrintWriter pwriter,
                                                     oracle.ord.media.annotator.annotations.Annotation ann)
                                              throws IfsException

  Description copied from class: `InterMediaAnnotator`
  Gets the language from the Annotation.

  Parameters:
    `pwriter` - the PrintWriter
    `ann` - the Annotation
  Returns:
    the language of the text track, if any
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### appendIndexableAttributes

    protected void appendIndexableAttributes(java.io.PrintWriter pwriter,
                                             oracle.ord.media.annotator.annotations.Annotation ann)
                                      throws IfsException

  Description copied from class: `InterMediaAnnotator`
  Checks for attributes in the annotation that we would want to include in the stream that is indexed by Context. Examples are AUDIO_ARTIST and MEDIA_TITLE.

  Parameters:
    `pwriter` - the PrintWriter
    `ann` - the Annotation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### appendTextTrack

    protected java.lang.String appendTextTrack(java.io.PrintWriter pwriter,
                                               oracle.ord.media.annotator.annotations.Annotation ann)
                                        throws IfsException

  Description copied from class: `InterMediaAnnotator`
  Converts the Text annotations into a serialized Reader.

  Parameters:
    `pwriter` - the PrintWriter
    `ann` - the Annotation
  Returns:
    the language of the text track, if any
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getContentMimeType

    protected java.lang.String getContentMimeType(Document doc)
                                           throws IfsException

  Description copied from class: `InterMediaAnnotator`
  Returns the mime type from the specified Document, if it has content.

  Parameters:
    `doc` - the document
  Returns:
    the mimetype of the content
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### extractAnnotationAttributes

    protected void extractAnnotationAttributes(oracle.ord.media.annotator.annotations.Annotation ann,
                                               InterMediaSourceDefinition def)
                                        throws IfsException

  Description copied from class: `InterMediaAnnotator`
  Extract Annotation attributes from the specified Annotation.

  Parameters:
    `ann` - the Annotation
    `def` - the InterMediaSource Definition
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getAnnotationClassName

    protected java.lang.String getAnnotationClassName(oracle.ord.media.annotator.annotations.Annotation ann)

  Description copied from class: `InterMediaAnnotator`
  Gets Annotation class name.

  Parameters:
    `ann` - the Annotation
  Returns:
    the corresponding class name
  (Unpublished)

### ConsoleOutput

    public void ConsoleOutput(java.lang.String p0)

  Specified by:
    `ConsoleOutput` in interface `oracle.ord.media.annotator.listeners.OutputListener`

### parsePerformed

    public void parsePerformed(oracle.ord.media.annotator.annotations.Annotation ann)

  Specified by:
    `parsePerformed` in interface `oracle.ord.media.annotator.listeners.AnnListener`

### extractionPerformed

    public void extractionPerformed(oracle.ord.media.annotator.annotations.Annotation p0)

  Specified by:
    `extractionPerformed` in interface `oracle.ord.media.annotator.listeners.AnnListener`

### insertionPerformed

    public void insertionPerformed(oracle.ord.media.annotator.annotations.Annotation p0,
                                   java.sql.Connection p1)

  Specified by:
    `insertionPerformed` in interface `oracle.ord.media.annotator.listeners.AnnListener`

### errorOccured

    public void errorOccured(oracle.ord.media.annotator.annotations.Annotation ann,
                             java.lang.Exception e)

  Specified by:
    `errorOccured` in interface `oracle.ord.media.annotator.listeners.AnnListener`

### warningOccured

    public void warningOccured(oracle.ord.media.annotator.annotations.Annotation p0,
                               java.lang.Exception e)

  Specified by:
    `warningOccured` in interface `oracle.ord.media.annotator.listeners.AnnListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD